# xarray.DataArray.groupby

`DataArray.``groupby`(group, squeeze=True)

  Returns a GroupBy object for performing grouped operations.

  Parameters:

  group : str, DataArray or IndexVariable

  > Array whose unique values should be used to group this array. If a string, must be the name of a variable contained in this dataset.

  squeeze : boolean, optional

  > If “group” is a dimension of any arrays in this dataset, squeeze controls whether the subarrays have a dimension of length 1 along that dimension or if the dimension is squeezed out.

  Returns:

  grouped : GroupBy

  > A GroupBy object patterned after pandas.GroupBy that can be iterated over in the form of (unique_value, grouped_array) pairs.

  See also

  `core.groupby.DataArrayGroupBy`, `core.groupby.DatasetGroupBy`